Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.formatter
Class FormattingContextProperties

    java.lang.Object
      org.eclipse.jface.text.formatter.FormattingContextProperties

public class FormattingContextProperties
extends Object

Keys used by `IFormattingContext` objects to register specific properties needed during the formatting process of a content formatter implementing `IContentFormatterExtension`.

Since:
  3.0
See Also:
  `IFormattingContext`, `IFormattingStrategyExtension`, `IContentFormatterExtension`

Field Summary
`static String` | `CONTEXT_DOCUMENT` Property key of the document property.
`static String` | `CONTEXT_MEDIUM` Property key of the medium property.
`static String` | `CONTEXT_PARTITION` Property key of the partition property.
`static String` | `CONTEXT_PREFERENCES` Property key of the preferences property.
`static String` | `CONTEXT_REGION` Property key of the region property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTEXT_DOCUMENT

    public static final String CONTEXT_DOCUMENT

  Property key of the document property. The property must implement `java.lang#Boolean`. If set to `true` the whole document is formatted.

  Value: `"formatting.context.document"`

  See Also:
    Constant Field Values

### CONTEXT_PARTITION

    public static final String CONTEXT_PARTITION

  Property key of the partition property. The property must implement `org.eclipse.jface.text#TypedPosition`. The partition a context based formatting strategy should format.

  Value: `"formatting.context.partition"`

  See Also:
    Constant Field Values

### CONTEXT_PREFERENCES

    public static final String CONTEXT_PREFERENCES

  Property key of the preferences property. The property must implement `java.util#Map`. The formatting preferences mapping preference keys to values.

  Value: `"formatting.context.preferences"`

  See Also:
    Constant Field Values

### CONTEXT_REGION

    public static final String CONTEXT_REGION

  Property key of the region property. The property must implement `org.eclipse.jface.text#IRegion`. The region to format. If set, `CONTEXT_DOCUMENT` should be `false` for this to take effect.

  Value: `"formatting.context.region"`

  See Also:
    Constant Field Values

### CONTEXT_MEDIUM

    public static final String CONTEXT_MEDIUM

  Property key of the medium property. The property must implement `org.eclipse.jface.text#IDocument`. The document to format.

  Value: `"formatting.context.medium"`

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.